> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Sets

> An export of all product sets in Elevate

An export of all product sets in Elevate

```http theme={null}
GET https://{cluster-id}.elevate-api.cloud/api/admin/v4/export/product-sets
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name                                                      | Description                                   | Example       |
    | --------------------------------------------------------- | --------------------------------------------- | ------------- |
    | `Api-Key`<span style={{ color: "red" }}>\*</span>         | API key supplied during onboarding.           | `123456789..` |
    | `Accept-Encoding`<span style={{ color: "red" }}>\*</span> | Allows responses to be compressed using Gzip. | `gzip`        |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X GET \
    -H 'Api-Key: 123456789..' \
    -H 'Accept-Encoding: null' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v4/export/product-sets"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                                                                                                                                                                                             |
    | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | `200`  | Query accepted. The data will be returned as an application/json-object.                                                                                                                                |
    | `403`  | Incorrect cluster credentials.                                                                                                                                                                          |
    | `404`  | Cluster not found.                                                                                                                                                                                      |
    | `406`  | No acceptable encoding found in Accept-Encoding header.                                                                                                                                                 |
    | `500`  | Server error such as cluster unavailable, busy or internal error. If 5xx errors persist, contact <a href="mailto:support@voyado.com">support</a> and attach any information found in the response body. |
    | `503`  | The server in the cluster that received the request is currently unavailable or busy. It is recommended to retry the request. The time between request attempts should be increasing.                   |
  </Accordion>

  <Accordion title="Example response">
    ```json theme={null}
    {
      "WINTER" : {
        "name" : "Winter sale",
        "rule" : "rule incl custom.season { \"winter\" }"
      },
      "STRIPED" : {
        "name" : "All striped items",
        "rule" : "rule incl pattern { \"striped\" }"
      }
    }
    ```
  </Accordion>

  <Accordion title="Response body schema">
    #### ProductSetBody

    Product set definitions.
    Keys following pattern: `[\p{L}\p{N}_\-()<>.:,&+%\[\]|?#�​']{1,200}` and with the value: [ProductSet](#productset)
    Max: 1000 keys
  </Accordion>
</AccordionGroup>

## Inner Schemas

### ProductSet

| Name                                         | Type   | Description                                                                                           |
| -------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| name<span style={{ color: "red" }}>\*</span> | string | The name of the product set, displayed in the Elevate application. Min length: `1`. Max length: `80`. |
| rules                                        | string | A product rule expression restricting the products that the product set may contain.                  |
